local _, addonTable = ... 

local function AddLangInfo(self)
    unitName, unit = self:GetUnit()
    if not unit then return end
    if not UnitIsPlayer(unit) then
        return
    end
    r, g, b, _ = GetClassColor('MONK')
    GameTooltip:AddLine(" ", 1, 1, 1)
    name, realm = UnitFullName(unit)
    if not realm or realm == "" then
        realm = GetRealmName()
    end

    orgrealm = realm
    realm = realm:gsub(" ", ""):gsub("'", ""):gsub("’", ""):gsub("-", ""):lower()
    outstring = ""
    region = GetCurrentRegion()

    if not addonTable.realmData[region][realm] then
        outstring = orgrealm .. ": Unknown"
    else
        outstring = orgrealm .. ": " .. addonTable.realmData[region][realm]["category"] .. " (" .. addonTable.realmData[region][realm]["locale"] .. ")"
    end
    GameTooltip:AddLine(outstring, r, g, b)
    GameTooltip:Show()
end

GameTooltip:HookScript("OnTooltipSetUnit", AddLangInfo)

SLASH_GETLANG1 = '/lang'
function SlashCmdList.GETLANG(msg, editBox) 
    region = GetCurrentRegion()
    realm = msg:gsub(" ", ""):gsub("'", ""):gsub("’", ""):gsub("-", ""):lower()
    _, _, _, hex = GetClassColor('MONK')
    if not addonTable.realmData[region][realm] then
        print("|c" .. hex .."Unknown realm name" .. "|r")
    else
        print("|c" .. hex .. addonTable.realmData[region][realm]["orgname"] .. ": " .. addonTable.realmData[region][realm]["category"] .. " (" .. addonTable.realmData[region][realm]["locale"] .. ")|r")
    end
end